<?php
	function getSports($params){
		$_GET = $params;
		$data = date('Y-m-d');
		if(isset($_GET["data"]) && $_GET["data"] <> ''){ $data = $_GET["data"]; }
		$x = file_get_contents('http://sysfbet.com.br/cdn/json/'.$_GET["esporte"].'/data/'.$data.'.json');
		return $x;
	}

	function listarJogos($esporte){
		require $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';

		$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
		$parts = parse_url($urlbase);
		parse_str($parts['query'], $query);
		$_GET = $query;

		$filtroPaises = array();
		foreach ($_GET["paises"] as $v) { array_push($filtroPaises, $v); }
		$esporte = ($esporte == '') ? 'futebol' : $esporte;
		$data = '';
		$paises = '';
		$query = '';
		$titulo_busca = 'Jogos de Hoje';
		$data_get = date('Y-m-d');

		// Pesquisa se ESPORTE foi passado via GET
		if(isset($_GET["esporte"]) && $_GET["esporte"] <> ''){ $_SESSION["esporte_slug"] = $_GET["esporte"]; $esporte = $_GET["esporte"]; }

		// Pesquisa se DATA foi passado via GET
		if(isset($_GET["data"]) && $_GET["data"] <> ''){ $titulo_busca = date("d/m/Y", strtotime($_GET["data"])); $data = $_GET["data"]; $data_get = $_GET["data"]; }

		// Pesquisa se PAIS foi passado via GET
		if(isset($_GET["paises"]) && $_GET["paises"] <> ''){
			$paises = implode('|||', $_GET["paises"]);
		}

		// Pesquisa se QUERY foi passado via GET
		if(isset($_GET["query"]) && $_GET["query"] <> ''){ $titulo_busca = $_GET["query"]; $query = $_GET["query"]; }

		if(isset($_GET["q"])){
			$q = $_GET["q"];
			$qresult = array(); // Resultado da busca
		}

		// Consulta a API
		$params['esporte'] = $esporte;
		$params['data'] = $data;
		$params['paises'] = $paises;
		$params['query'] = $query;
		$r = getSports($params);
		$data = json_decode($r, true);

		// Adiciona paises filtrados no titulo da busca
		if(count($filtroPaises) > 0){
			$titulo_busca .= ', filtrando por países: '.implode(', ', $filtroPaises);
		}


		############################################ VALOR APOSTADO NOS JOGOS ############################################
		// Informações para atualização via GET JAVASCRIPT
		if(1==1){

			// Consulta valor apostado
			if(!isset($_SESSION["placed_bets"])){
				// Consulta últimas apostas
				$_SESSION["placed_bets"] = array();
				$_SESSION["placed_bets"]['last'] = 0;
				$sql = $mysqli->query("SELECT cupom_id, cupom_valor, cupom_matches FROM cupons ORDER BY cupom_id DESC LIMIT 1500");
				while ($pb = $sql->fetch_assoc()) {
					if($pb["cupom_id"] > $_SESSION["placed_bets"]['last']){ $_SESSION["placed_bets"]['last'] = $pb["cupom_id"]; }
					$pbmatches = explode('-', $pb["cupom_matches"]);
					foreach ($pbmatches as $pbmid) {
						if(!isset($_SESSION["placed_bets"]['matches'][$pbmid])){ $_SESSION["placed_bets"]['matches'][$pbmid] = 0; }
						$_SESSION["placed_bets"]['matches'][$pbmid] += $pb["cupom_valor"];
					}
				}

			} else {
				$pblast = $_SESSION["placed_bets"]['last'];
				$sql = $mysqli->query("SELECT cupom_id, cupom_valor, cupom_matches FROM cupons WHERE cupom_id > '$pblast' ORDER BY cupom_id DESC LIMIT 1500");
				while ($pb = $sql->fetch_assoc()) {
					if($pb["cupom_id"] > $_SESSION["placed_bets"]['last']){ $_SESSION["placed_bets"]['last'] = $pb["cupom_id"]; }
					$pbmatches = explode('-', $pb["cupom_matches"]);
					foreach ($pbmatches as $pbmid) {
						if(!isset($_SESSION["placed_bets"]['matches'][$pbmid])){ $_SESSION["placed_bets"]['matches'][$pbmid] = 0; }
						$_SESSION["placed_bets"]['matches'][$pbmid] += $pb["cupom_valor"];
					}
				}
			}
		}
		############################################ /VALOR APOSTADO NOS JOGOS ############################################

		// Percorre jogos
		// {"id":"76322799","name":"Sao Caetano U20 x RB Brasil U20","id_esporte":"102","id_campeonato":null,"name_campeonato":"Brasil - Campeonato Paulista U20","data":"21\/09\/2018 15:00 BRT","casa":"1.90","empate":"3.42","fora":"2.85","casaid":"210264303212134","empateid":"386702811139745","foraid":"665413534417414","bookmaker":"43","choices":"84","time_casa_id":"238798","time_fora_id":"268355"}
		$aux = 0;
        foreach ($data as $pais => $i) {
            foreach ($i as $event => $m) {

				foreach ($m as $mid => $match) {
                    if(dataValida($match["data"], 1) == FALSE){ unset($data[$pais][$event][$mid]); continue; }

                    // Formata data
                    $match['data'] = str_replace('/2018', '', $match['data']);
                    $match['data'] = str_replace('/2019', '', $match['data']);
                    $match['data'] = str_replace('/2020', '', $match['data']);
                    $data[$pais][$event][$mid]["data"] = $match["data"];

                    $mainMarket = 'Vencedor do Encontro';
                    if(ucfirst($esporte) <> 'Futebol'){ $mainMarket = ucfirst($esporte).' - Vencedor do Encontro'; }

                    $params[0] = $mainMarket.':Casa:'.$match["casa"];
                    $params[1] = $mainMarket.':Empate:'.$match["empate"];
                    $params[2] = $mainMarket.':Visitante:'.$match["fora"];
                    $params[3] = 'Ambas equipes marcam:Sim:'.$match["ambas"];
                    $params[4] = 'Ambas equipes marcam:Não:'.$match["nambas"];
                    $params[5] = 'Total de gols no jogo:Mais de 2.5:'.$match["mais25"];
                    $params[6] = 'Total de gols no jogo:Menos de 2.5:'.$match["menos25"];
                    $result = modificaOdds($params);

                    // Desativa opções zeradas
                    $data[$pais][$event][$mid]["casa"] = ($result[0] <= 1.01) ? '--' : $result[0];
                    $data[$pais][$event][$mid]["empate"] = ($result[1] <= 1.01) ? '--' : $result[1];
                    $data[$pais][$event][$mid]["fora"] = ($result[2] <= 1.01) ? '--' : $result[2];
                    $data[$pais][$event][$mid]["ambas"] = ($result[3] <= 1.01) ? '--' : $result[3];
                    $data[$pais][$event][$mid]["nambas"] = ($result[4] <= 1.01) ? '--' : $result[4];
                    $data[$pais][$event][$mid]["mais25"] = ($result[5] <= 1.01) ? '--' : $result[5];
                    $data[$pais][$event][$mid]["menos25"] = ($result[6] <= 1.01) ? '--' : $result[6];
					$data[$pais][$event][$mid]['placed_bets'] = (isset($_SESSION["placed_bets"]['matches'][$mid])) ? formataReal($_SESSION["placed_bets"]['matches'][$mid]) : '0,00';

                    // Pesquisa se usuário pesquisou por algo preg_match('/\b'.$q.'\b/',$pais)
                    /*

                    	if(strpos($pais, $q) === false) { echo 'R1: '.$pais.' | '.$q.' <br />'; }
                    	if(strpos($event, $q) === false){ echo 'R2: '.$event.' | '.$q.' <br />'; }
                    	if(strpos($data[$pais][$event][$mid]["name"], $q) === false){ echo 'R3: '.$data[$pais][$event][$mid]["name"].' | '.$q.' <br />'; }
                    */
                    if(isset($q) && strpos(strtolower($pais), strtolower($q)) === false && strpos(strtolower($event), strtolower($q)) === false && strpos(strtolower($data[$pais][$event][$mid]["name"]), strtolower($q)) === false){
                    	// unset($data[$pais][$event][$mid]);
                    } else { $qresult[$pais][$event][$mid] = $data[$pais][$event][$mid]; }
                }
            }
        }

        // Se houve pesquisa, mostra resultado da pesquisa
        if(isset($q)){
        	$data = $qresult;
        }

		// Retorno
		$ret["data"] = $data;
		$ret["titulo_busca"] = $titulo_busca;
		$ret["esporte"] = $esporte;
		$ret["filtroPaises"] = $filtroPaises;

		return $ret;
	}

	$_SESSION["esporte_slug"] = (isset($_GET["esporte"])) ? $_GET["esporte"] : 'futebol';
	$p = listarJogos($_SESSION["esporte_slug"]);
	$esporte_slug = $_SESSION["esporte_slug"];

	// Pesquisa se esporte está disponível
	$sql = $mysqli->query("SELECT * FROM esportes WHERE esporte_codigo = '$esporte_slug' and esporte_exibido = '1'");
	if(mysqli_num_rows($sql) == 0){ $p = ''; }

	// Usado na área de impressão de campeonatos
	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$GETQUERY = $query;
	$GETQUERY["data"] = ($GETQUERY["data"] <> '') ? $GETQUERY["data"] : date('Y-m-d');

	// print_r($filtroPaises);


	// Pesquisa jogos, campeonatos e países removidos
	$removidos = array();
	$sql = $mysqli->query("SELECT * FROM remocoes");
	while ($r = $sql->fetch_assoc()) { array_push($removidos, utf8_encode($r["remocao_nome"])); }
?>